| Home | Libraries | People | FAQ | More

## Class data_not_accessible

boost::date_time::data_not_accessible — Exception thrown when tz database cannot locate requested data file.

## Synopsis

    // In header: <boost/date_time/tz_db_base.hpp>

    class data_not_accessible {
    public:
      // construct/copy/destruct
      data_not_accessible();
      data_not_accessible(const std::string &);
    };

## Description

### `data_not_accessible` public construct/copy/destruct

1.     data_not_accessible();

2.     data_not_accessible(const std::string & filespec);